from . import BaseAttribute


class BodyAttrs:
    """
    This module contains functions for attributes in the 'body' element.
    Which is inherited by a class so we can generate type hints
    """

    @staticmethod
    def onafterprint(value) -> BaseAttribute:
        """
        "body" attribute: onafterprint  
        afterprint event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onafterprint attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onafterprint", value)

    @staticmethod
    def onbeforeprint(value) -> BaseAttribute:
        """
        "body" attribute: onbeforeprint  
        beforeprint event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onbeforeprint attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onbeforeprint", value)

    @staticmethod
    def onbeforeunload(value) -> BaseAttribute:
        """
        "body" attribute: onbeforeunload  
        beforeunload event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onbeforeunload attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onbeforeunload", value)

    @staticmethod
    def onhashchange(value) -> BaseAttribute:
        """
        "body" attribute: onhashchange  
        hashchange event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onhashchange attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onhashchange", value)

    @staticmethod
    def onlanguagechange(value) -> BaseAttribute:
        """
        "body" attribute: onlanguagechange  
        languagechange event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onlanguagechange attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onlanguagechange", value)

    @staticmethod
    def onmessage(value) -> BaseAttribute:
        """
        "body" attribute: onmessage  
        message event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onmessage attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onmessage", value)

    @staticmethod
    def onmessageerror(value) -> BaseAttribute:
        """
        "body" attribute: onmessageerror  
        messageerror event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onmessageerror attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onmessageerror", value)

    @staticmethod
    def onoffline(value) -> BaseAttribute:
        """
        "body" attribute: onoffline  
        offline event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onoffline attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onoffline", value)

    @staticmethod
    def ononline(value) -> BaseAttribute:
        """
        "body" attribute: ononline  
        online event handler for Window object  

        :param value: Event handler content attribute  
        :return: An ononline attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("ononline", value)

    @staticmethod
    def onpagehide(value) -> BaseAttribute:
        """
        "body" attribute: onpagehide  
        pagehide event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onpagehide attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onpagehide", value)

    @staticmethod
    def onpagereveal(value) -> BaseAttribute:
        """
        "body" attribute: onpagereveal  
        pagereveal event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onpagereveal attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onpagereveal", value)

    @staticmethod
    def onpageshow(value) -> BaseAttribute:
        """
        "body" attribute: onpageshow  
        pageshow event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onpageshow attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onpageshow", value)

    @staticmethod
    def onpageswap(value) -> BaseAttribute:
        """
        "body" attribute: onpageswap  
        pageswap event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onpageswap attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onpageswap", value)

    @staticmethod
    def onpopstate(value) -> BaseAttribute:
        """
        "body" attribute: onpopstate  
        popstate event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onpopstate attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onpopstate", value)

    @staticmethod
    def onrejectionhandled(value) -> BaseAttribute:
        """
        "body" attribute: onrejectionhandled  
        rejectionhandled event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onrejectionhandled attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onrejectionhandled", value)

    @staticmethod
    def onstorage(value) -> BaseAttribute:
        """
        "body" attribute: onstorage  
        storage event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onstorage attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onstorage", value)

    @staticmethod
    def onunhandledrejection(value) -> BaseAttribute:
        """
        "body" attribute: onunhandledrejection  
        unhandledrejection event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onunhandledrejection attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onunhandledrejection", value)

    @staticmethod
    def onunload(value) -> BaseAttribute:
        """
        "body" attribute: onunload  
        unload event handler for Window object  

        :param value: Event handler content attribute  
        :return: An onunload attribute to be added to your element
        """  # fmt: skip

        return BaseAttribute("onunload", value)
